#define MyAppName "My Second Application"
#define MyAppVerName "My Second Application 1.0"
#define MyAppPublisher "My Company, Inc."
#define MyAppURL "http://www.mycompany.com"
#define MyAppExeName "sample1.exe"

[Setup]
AppName={#MyAppName}
AppVerName={#MyAppVerName}
AppPublisher={#MyAppPublisher}
AppPublisherURL={#MyAppURL}
AppSupportURL={#MyAppURL}
AppUpdatesURL={#MyAppURL}
DefaultDirName={pf}\{#MyAppName}
DefaultGroupName={#MyAppName}
LicenseFile=license.txt
OutputBaseFilename=setup
Compression=lzma
SolidCompression=yes

[Types]
Name: "complete";    Description: {cm:T_Complete}
Name: "workstation"; Description: {cm:T_Workstation}

[CustomMessages]
T_Complete=Full installation
TD_Complete=Choose this option to install My Second Application on a network server or an individual computer that will not run the application from the server.
T_Workstation=Workstation only
TD_Workstation=Choose this option if My Second Application is already installed on a network server and you want to run it from this computer.

[Code]
#include "DescriptiveTypes.iss"
procedure InitializeWizard();
begin
    InitializeDescriptiveTypes();
end;

[Components]
Name: "complete"; Description: "Program files";  Types: complete
Name: "required"; Description: "Required files"; Types: complete workstation; Flags: fixed

[Tasks]
Name: desktopicon; Description: {cm:CreateDesktopIcon}; GroupDescription: {cm:AdditionalIcons}; Flags: unchecked

[Files]
Source: sample1.exe; DestDir: {app}; Components: complete; Flags: ignoreversion
Source: readme.txt;  DestDir: {app}; Components: complete; Flags: ignoreversion

[Icons]
Name: {group}\{#MyAppName};       Filename: {app}\{#MyAppExeName}
Name: {commondesktop}\{#MyAppName}; Filename: {app}\{#MyAppExeName}; Tasks: desktopicon

[Run]
Filename: {app}\{#MyAppExeName}; Description: {cm:LaunchProgram,{#MyAppName}}; Flags: nowait postinstall skipifsilent; OnlyBelowVersion: 0,6

